List:Commits« Previous MessageNext Message »
From:Daniel Fischer Date:July 3 2009 2:35pm
Subject:bzr push into mysql-5.1 branch (df:2951 to 2953)
View as plain text  
 2953 Daniel Fischer	2009-07-03 [merge]
      merge fix

    modified:
      sql-bench/README*
      tests/grant.pl*
 2952 Daniel Fischer	2009-07-02
      merge patch for bug#31785

    modified:
      support-files/mysql.server.sh
 2951 Jonathan Perkin	2009-06-16
      Raise version number after cloning 5.1.36

    modified:
      configure.in
=== modified file 'sql-bench/README' (properties changed: +x to -x)
=== modified file 'support-files/mysql.server.sh'
--- a/support-files/mysql.server.sh	2008-03-26 16:39:22 +0000
+++ b/support-files/mysql.server.sh	2009-07-02 13:18:12 +0000
@@ -358,11 +358,18 @@ case "$mode" in
     if test -s "$pid_file"
     then
       mysqlmanager_pid=`cat $pid_file`
-      echo $echo_n "Shutting down MySQL"
-      kill $mysqlmanager_pid
-      # mysqlmanager should remove the pid_file when it exits, so wait for it.
-      wait_for_pid removed "$mysqlmanager_pid"; return_value=$?
-
+      
+      if (kill -0 $mysqlmanager_pid 2>/dev/null)
+      then
+        echo $echo_n "Shutting down MySQL"
+        kill $mysqlmanager_pid
+        # mysqlmanager should remove the pid_file when it exits, so wait for it.
+        wait_for_pid removed "$mysqlmanager_pid"; return_value=$?
+      else
+        log_failure_msg "MySQL manager or server process #$mysqlmanager_pid is not
running!"
+        rm $pid_file
+      fi
+      
       # delete lock for RedHat / SuSE
       if test -f $lock_dir
       then

=== modified file 'tests/grant.pl' (properties changed: -x to +x)

Attachment: [text/bzr-bundle] bzr/df@sun.com-20090703121235-oelja7rtcgqbt8o0.bundle
Thread
bzr push into mysql-5.1 branch (df:2951 to 2953) Daniel Fischer3 Jul 2009